package kwt;

import java.util.*;

public class Date {
	private GregorianCalendar calendar = null;
	public Date() {
		calendar = new GregorianCalendar();
		//calendar.setTimeZone( TimeZone.getTimeZone("Europe/Zurich"));
	}
	public int getDate() {
		return calendar.get(Calendar.DATE);
	}
	public int getHour() {
		int hour = calendar.get(Calendar.DATE);
		return hour;
	}
	public String getExactHour() {
		int hour = calendar.get(Calendar.HOUR);
		if(calendar.get(Calendar.AM_PM) == Calendar.PM) {
			hour += 12;
		}
		String hour_ = hour+"";
		if(hour <= 9) {
			hour_ = "0"+hour;
		}
		return hour_;
	}
	public int getMinute() {
		return calendar.get(Calendar.MINUTE);
	}
	public String getExactMinute() {
		int minute = calendar.get(Calendar.MINUTE);
		String minute_ = ""+minute;
		if(minute <= 9) {
			minute_ = "0"+minute;
		}
		return minute_;
	}
	public int getSecond() {
		return calendar.get(Calendar.SECOND);
	}
	public String getExactSecond() {
		int second = calendar.get(Calendar.SECOND);
		String second_ = ""+second;
		if(second <= 9) {
			second_ = "0"+second;
		}
		return second_;
	}
	public int getDayOfMonth() {
		return calendar.get(Calendar.DAY_OF_MONTH);
	}
	public int getYear() {
		return calendar.get(Calendar.YEAR);
	}
	public int getMonth() {
		return calendar.get(Calendar.MONTH);
	}
}
