package kwt;

import javax.swing.*;
import java.awt.*;

public class DialogMessage {
	public static void message(String message) {
		message(message, "");
	}
	public static void message(String message, String title) {
		JOptionPane.showMessageDialog(null, "<html><b>"+message+"</html></b>", title, JOptionPane.INFORMATION_MESSAGE, new ImageIcon(Toolkit.getDefaultToolkit().getImage("images/icons/info.png").getScaledInstance(64, 64, Image.SCALE_DEFAULT)));
	}
	public static void error(String message) {
		error(message, "");
	}
	public static void error(String message, String title) {
		JOptionPane.showMessageDialog(null, "<html><font color=red><b>"+message+"</b></font></html>", title, JOptionPane.ERROR_MESSAGE, new ImageIcon(Toolkit.getDefaultToolkit().getImage("images/icons/error.png").getScaledInstance(64, 64, Image.SCALE_DEFAULT)));
	}
	public static void warning(String message) {
		warning(message, "");
	}
	public static void warning(String message, String title) {
		JOptionPane.showMessageDialog(null, "<html><b>"+message+"</b></html>", title, JOptionPane.WARNING_MESSAGE, new ImageIcon(Toolkit.getDefaultToolkit().getImage("images/icons/alert.png").getScaledInstance(64, 64, Image.SCALE_DEFAULT)));
	}
	public static int confirm(String message) {
		return confirm(message, "");
	}
	public static int confirm(String message, String title) {
		return JOptionPane.showConfirmDialog(null, "<html><b>"+message+"</b></html>", title, JOptionPane.YES_NO_OPTION, JOptionPane.INFORMATION_MESSAGE, new ImageIcon(Toolkit.getDefaultToolkit().getImage("images/icons/ask.png").getScaledInstance(64, 64, Image.SCALE_DEFAULT)));
	}
	public static int warning_confirm(String message) {
		return warning_confirm(message, "");
	}
	public static int warning_confirm(String message, String title) {
		return JOptionPane.showConfirmDialog(null, "<html><b>"+message+"</b></html>", title, JOptionPane.YES_NO_OPTION, JOptionPane.WARNING_MESSAGE, new ImageIcon(Toolkit.getDefaultToolkit().getImage("images/icons/alert.png").getScaledInstance(64, 64, Image.SCALE_DEFAULT)));
	}
	public static String input(String message) {
		return input(message, "");
	}
	public static String input(String message, String title) {
		return (String) JOptionPane.showInputDialog(null, "<html><b>"+message+"</b></html>", title, JOptionPane.INFORMATION_MESSAGE, new ImageIcon(Toolkit.getDefaultToolkit().getImage("images/icons/ask.png").getScaledInstance(64, 64, Image.SCALE_DEFAULT)), new String[]{}, "");
	}
}
