package kwt;

import java.awt.*;
import javax.swing.*;

/**
 * 
 *
 * @author Matteo Pagamici
 * Copyright (c) 2006 Matteo Pagamici
 * All rights reserved
 *
 */

public class KButton extends JLabel {
	private static final long serialVersionUID = 1L;
	public Cursor hand_cursor = new Cursor(Cursor.HAND_CURSOR);
	public KButton() {
		super();
		setBorder(BorderFactory.createRaisedBevelBorder());
	}
	public KButton(String s) {
		super(s);
		setBorder(BorderFactory.createRaisedBevelBorder());
	}
	public KButton(String s, int i) {
		super(s, i);
		setBorder(BorderFactory.createRaisedBevelBorder());
	}
	public void press() {
		setBorder(BorderFactory.createLoweredBevelBorder());
	}
	public void release() {
		setBorder(BorderFactory.createRaisedBevelBorder());
	}
	public void setHandCursor(boolean value) {
		if(value) {
			setCursor(hand_cursor);
		}
	}
}