package kwt;

import java.io.*;

/**
 * 
 *
 * @author Matteo Pagamici
 * Copyright (c) 2006 Matteo Pagamici
 * All rights reserved
 *
 */

public class KFileManager {
	public static String readFile(String filename) {
		String record = "";
		int recCount = 0;
		String output = "";
		try {
			FileReader fr = new FileReader(filename);
			BufferedReader br = new BufferedReader(fr);
			record = new String();
			while ((record = br.readLine()) != null) {
				recCount++;
				output += record + "\n";
			}
			br.close();
			fr.close();
		} catch (IOException e) {
			output = "error in 'readFile' (KFileManager)";
		}
		return output;
	}
	public static boolean writeFile(String name, String content) {
		try {
			FileWriter fw = new FileWriter(name);
			PrintWriter p = new PrintWriter(fw);
			p.print(content);
			fw.close();
			p.close();
			return true;
		} catch (IOException ioe) {
			ioe.printStackTrace();
			return false;
		}
	}
}