import java.awt.BorderLayout;
import java.awt.Container;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JTextPane;
import javax.swing.event.HyperlinkEvent;
import javax.swing.event.HyperlinkListener;

import kwt.DialogMessage;

public class HelpViewer {
	public static JFrame frame;

	public static JButton close;

	public static JTextPane help_area;

	public static Container c;

	public static void init() {
		frame = new JFrame("Hilfe - KemaChat");
		frame.setResizable(false);
		frame.setSize(600, 500);
		frame.setLocation(300, 100);
		c = frame.getContentPane();
		help_area = new JTextPane();
		help_area.setEditable(false);
		close = new JButton("Fenster schliessen");
		c.add(help_area);
		c.add(close, BorderLayout.SOUTH);
		KemaChat.addWindowCloseButtonEvent(close, frame);
		help_area.addHyperlinkListener(new HyperlinkListener () {
			public void hyperlinkUpdate(HyperlinkEvent e) {
				String name = e.getURL().toString();
				if(e.getEventType().equals(HyperlinkEvent.EventType.ACTIVATED)) {
					if(name.equals("http://close")) {
						try {
							help_area.setPage("http://www.rossoforte.ch/kema/kema/app_util/kemachathelp.php?type=default");
						} catch(Exception E) {
						}
						frame.setVisible(false);
					} else {
						try {
							help_area.setPage(name);
						} catch(Exception E) {
//							E.printStackTrace();
							frame.setVisible(false);
							DialogMessage.error("Um die KemaChat Hilfe aufzurufen, m&uuml;ssen Sie mit dem Internet verbunden sein.");
						}
					}
				}
			}
		});
	}
	public static void showHelp() {
		try {
			help_area.setPage("http://www.rossoforte.ch/kema/kema/app_util/kemachathelp.php");
			frame.setVisible(true);
		} catch(Exception E) {
//			E.printStackTrace();
			frame.setVisible(false);
			DialogMessage.error("Um die KemaChat Hilfe aufzurufen, m&uuml;ssen Sie mit dem Internet verbunden sein.");
		}
	}
}
