import java.awt.Cursor;
import java.io.File;

import kemachat.ChatUser;
import kemachat.MainUser;
import kwt.KFileManager;
import kwt.Sound;
import kwt.User;

/**
 * 
 * 
 * @author Matteo Pagamici Copyright (c) 2006 Matteo Pagamici All rights
 *         reserved
 * 
 */

public class ListPainter implements Runnable {
	public String old_online[] = KemaChat.users_online;

	public String old_offline[] = KemaChat.users_offline;

	public String offline_now = "";

	public boolean first = true;

	public String online_now = "";

	public void run() {
		while (true) {
			boolean news = true;
			KemaChat.sortContactList();
			// <-- Check news -->
			/*
			 * boolean news = false; try { for (int i = 0; i <
			 * KemaChat.users_online.length; i++) { if
			 * (!KemaChat.users_online[i].equals(old_online[i])) { news = true; } }
			 * for (int i = 0; i < KemaChat.users_offline.length; i++) { if
			 * (!KemaChat.users_offline[i].equals(old_offline[i])) { news =
			 * true; } } } catch (ArrayIndexOutOfBoundsException e) { news =
			 * true; } catch(NullPointerException e) { news = true; }
			 */
			/*
			 * if (news) { KemaChat.contact_list.removeAll();
			 * KemaChat.contact_list.add(KemaChat.title_online);
			 * KemaChat.title_online.setText("<html>&nbsp;&nbsp;&nbsp;&nbsp;<b><font
			 * size=4 color=navy>Online ("+KemaChat.users_online.length+"):</font></b></html>");
			 * KemaChat.title_offline.setText("<html>&nbsp;&nbsp;&nbsp;&nbsp;<b><font
			 * size=4 color=navy>Offline ("+KemaChat.users_offline.length+"):</font></b></html>");
			 * for (int i = 0; i < KemaChat.users_online.length; i++) { String
			 * user_now = KemaChat.users_online[i]; JLabel next_contact = new
			 * JLabel( "<html>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>" +
			 * user_now + "</b></html>");
			 * 
			 * KemaChat.contact_list.add(next_contact); }
			 * KemaChat.contact_list.add(KemaChat.title_offline); for (int i =
			 * 0; i < KemaChat.users_offline.length; i++) { String user_now =
			 * KemaChat.users_offline[i]; JLabel next_contact = new JLabel( "<html>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>" +
			 * user_now + "</b></html>");
			 * 
			 * KemaChat.contact_list.add(next_contact); } old_online =
			 * KemaChat.users_online; old_offline = KemaChat.users_offline; }
			 */
			String new_online_now = "";
			String new_offline_now = "";
			if (news) {
				if (MainUser.userlist.length == 0) {
					KemaChat.contact_list.add(KemaChat.addfirstuser);
				}

				for (int i = 0; i < MainUser.userlist.length; i++) {
					final ChatUser nextuser = new ChatUser(MainUser.userlist[i]);
					final String s_nextuser = KemaChat.formatText(nextuser
							.getNickName(), nextuser);
					String additional = "";
					File notexisting = new File("images/warn.png");
					File nochat = new File("images/nochat.png");
					File nolist = new File("images/notinlist.png");
					File hislist = new File(nextuser.getPath()
							+ "/KemaChat/contactlist");
					String hiscontactlist = KFileManager.readFile(hislist
							.toString());
					String additionalinfos = "";
					if (!nextuser.exists()) {
						additional += "<img src=\"file://"
								+ notexisting.getAbsolutePath()
								+ "\" height=12 width=12>";
						additionalinfos += "; Dieser User existiert nicht.";
					} else if (!hislist.exists()) {
						additional += "<img src=\"file://"
								+ nochat.getAbsolutePath()
								+ "\" height=12 width=12>";
						additionalinfos += "; Dieser User verwendet kein KemaChat.";
					} else if (hiscontactlist.toLowerCase().indexOf(
							User.getName().toLowerCase() + "\n") == -1) {
						additional += "<img src=\"file://"
								+ nolist.getAbsolutePath()
								+ "\" height=12 width=12>";
						additionalinfos += "; Sie sind nicht auf seiner/ihrer Kontaktliste vorhanden.";
					}
					KemaChat.userwriter[i].setToolTipText(KemaChat.formatText(
							"Name: "
									+ nextuser.getName()
									+ "; Nickname: "
									+ nextuser.getNickName()
									+ ""
									+ KemaChat.formatText(additionalinfos,
											nextuser), nextuser));
					if (KemaChat.isover[i]) {
						if (!nextuser.isOnline()) {
							KemaChat.userwriter[i]
									.setText("<html>&nbsp;&nbsp;&nbsp;&nbsp;"
											+ additional
											+ "<b><u><font color=gray>"
											+ s_nextuser
											+ " (Offline)</font></b></u></html>");
							KemaChat.nextoffline[i] = true;
						} else {
							KemaChat.userwriter[i]
									.setText("<html>&nbsp;&nbsp;&nbsp;&nbsp;"
											+ additional
											+ "<b><u><font color=blue>"
											+ s_nextuser
											+ "</font></u></b></html>");
							KemaChat.nextoffline[i] = false;
						}
					} else {
						if (!nextuser.isOnline()) {
							KemaChat.userwriter[i]
									.setText("<html>&nbsp;&nbsp;&nbsp;&nbsp;"
											+ additional
											+ "<b><font color=gray>"
											+ s_nextuser
											+ " (Offline)</font></b></html>");
							KemaChat.nextoffline[i] = true;
						} else {
							KemaChat.userwriter[i]
									.setText("<html>&nbsp;&nbsp;&nbsp;&nbsp;"
											+ additional + "<b>" + s_nextuser
											+ "</b></html>");
							KemaChat.nextoffline[i] = false;
						}
					}

					if (nextuser.isOnline()) {
						new_online_now += nextuser.getName() + "\n";
					} else {
						new_offline_now += nextuser.getName() + "\n";
					}

					KemaChat.userwriter[i].setCursor(new Cursor(
							Cursor.HAND_CURSOR));
				}
			}
			if (!first) {
				if (online_now.length() < new_online_now.length()) {
					if (MainUser.sound_play_login) {
						Sound login_sound = new Sound("sounds/"
								+ MainUser.sound_login + ".aif");
						login_sound.play();
					}
				}
				if (offline_now.length() < new_offline_now.length()) {
					if (MainUser.sound_play_logout) {
						Sound logout_sound = new Sound("sounds/"
								+ MainUser.sound_logout + ".aif");
						logout_sound.play();
					}
				}
			}
			offline_now = new_offline_now;
			online_now = new_online_now;
			first = false;
			try {
				Thread.sleep(500);
			} catch (Exception E) {
				E.printStackTrace();
			}
		}
	}
}
