package kwt;

import java.util.*;

public class DataBank {
	public String t = "";
	public String r = "";
	public String n = System.getProperty("line.separator");
	public DataBank(String title) {
		t=title;
	}
	public DataBank() {
		t="";
		r="";
	}
	public void create() {
		KFile.writeFile(t,r);
	}
	public void refresh() {
		KFile.writeFile(t,r);
	}
	public void load() {
		r=KFile.readFile(t);
		if(r.indexOf("\r\n") != -1) {
			System.out.println("done");
			n = "\r\n";
		} else {
			n = "\n";
		}
	}
	public void load(String s) {
		t=s;
		r=KFile.readFile(t);
	}
	public String getValue(String name) {
		try {
		StringTokenizer st = new StringTokenizer(r, n);
		String next = "";
		String done = "";
		while(st.hasMoreTokens()) {
			next = st.nextToken();
			if(next.equals("!data!")) {
				while(!next.equals("!/data!")) {
					next=st.nextToken();
				}
			}
			if(!next.startsWith("$")&&next.equals(name)) {
				String nn = st.nextToken();
				done = nn.substring(1, nn.length());
				break;
			}
		}
		return done;
		} catch(Exception E) {
			return "ERROR";
		}
	}
	/* ERROR !DO NOT USE removeValue2() USE removeValue() */public void removeValue2(String name) {
		/*
		 * ERROR
		 */
		String value_of = getValue(name);
		StringTokenizer st = new StringTokenizer(r, n);
		String exit = "";
		while(st.hasMoreTokens()) {
			String next = st.nextToken();
			if(!next.equals(name) && !next.equals("$"+value_of)) {
				exit+=next+n;
			}
		}
		r=exit;		
	}/* */
	
	public void removeValue(String name) {
		String value_of = getValue(name);
		StringTokenizer st = new StringTokenizer(r, n+"$");
		String exit = "";
		String next_part = "";
		int has_now = 0;
		while(st.hasMoreTokens()) {
			String next = st.nextToken();
			has_now++;
			next_part += next+n;
			if(has_now == 2) {
				if(!next_part.equals(name+n+value_of+n)) {
					String doubled[] = next_part.split(n);
					exit += doubled[0]+n+"$"+doubled[1]+n;
				}
				has_now = 0;
				next_part = "";
			}
		}
		r = exit;	
	}
	public void setValue(String name, String value) {
		if(value.equals("")) {
			value = " ";
		}
		removeValue(name);
		r=n+name+n+"$"+value+n+r;
		KFile.writeFile(t,r);
	}
	public void setData(DataBank data, String name) {
		String x = data.r;
		r=n+"!data!"+n+name+n+x+n+"!/data!"+r;
		KFile.writeFile(t,r);
	}
	public DataBank getData(String name) {
		DataBank db = new DataBank();
		StringTokenizer st = new StringTokenizer(r, n);
		String next = "";
		String done = "";
		while(st.hasMoreTokens()) {
			next = st.nextToken();
			if(next.equals("!data!")) {
				if(st.nextToken().equals(name)) {
					while(!next.equals("!/data!")) {
						next=st.nextToken();
						done+=next+n;
					}
				}
				else {
					while(!next.equals("!/data!")) {
						next=st.nextToken();
					}
				}
			}
		}
		db.r=done;
		return db;
	}
}
