package kwt;

import javax.swing.*;
import java.awt.*;
import java.io.*;

/**
 * 
 *
 * @author Matteo Pagamici
 * Copyright (c) 2006 Matteo Pagamici
 * All rights reserved
 *
 */

public class KTextPane extends JComponent {
	private static final long serialVersionUID = 1L;
	public int size_x = 500;
	public int size_y = 500;
	public String image = "images/background1.jpg";
	Image base = Toolkit.getDefaultToolkit().getImage(image);
	JTextPane pane = new JTextPane();
	{
		setOpaque(false);
	}
	public KTextPane() {
		File image = new File("images/background1.jpg");
		System.out.println("EXISTS: "+image.exists());
	}
	public void paintComponent(Graphics g) {
		g.setColor(Color.red);
		g.fillRect(0, 0, 300, 300);
		Image img = base.getScaledInstance(size_x, size_y, Image.SCALE_DEFAULT);
		g.drawImage(img, 0, 0, this); // Evt. auf getSize() anpassen
		super.paintComponent(g);
	}
	public JTextPane getPane() {
		return pane;
	}
	public void setImage(String img) {
		base = Toolkit.getDefaultToolkit().getImage(img);
		repaint();
	}
	public void setSize(int x, int y) {
		size_x = x;
		size_y = y;
		repaint();
	}
	public void setSize(Dimension s) {
		size_x = s.width;
		size_y = s.height;
		repaint();
	}
}